PrefabFiles = {
	"medic",
	"bonesaw",
	"ubersaw",
	"amputator",
	"vitasaw",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/medic.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/medic.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/medic.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/medic.xml" ),
	
	Asset( "IMAGE", "images/selectscreen_portraits/medic_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/medic_silho.xml" ),

    Asset( "IMAGE", "bigportraits/medic.tex" ),
    Asset( "ATLAS", "bigportraits/medic.xml" ),
	
	Asset( "IMAGE", "images/map_icons/medic.tex" ),
	Asset( "ATLAS", "images/map_icons/medic.xml" ),
	
	Asset("SOUNDPACKAGE", "sound/medic.fev"),
    Asset("SOUND", "sound/medic.fsb"),
}

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

TUNING.MEDICHP_REGEN = GetModConfigData("medicregen")

GLOBAL.STRINGS.CHARACTER_TITLES.medic = "The Teutonic Man of Medicine"
GLOBAL.STRINGS.CHARACTER_NAMES.medic = "The Medic"
GLOBAL.STRINGS.CHARACTER_DESCRIPTIONS.medic = "*Has a passive health regen\n*Can craft his various saws\n*Takes more damage in combat"
GLOBAL.STRINGS.CHARACTER_QUOTES.medic = "\"Prepare for your examination!\""

GLOBAL.STRINGS.CHARACTERS.MEDIC = require "speech_medic"

RemapSoundEvent( "dontstarve/characters/medic/talk_LP", "medic/medic/talk_LP" )
RemapSoundEvent( "dontstarve/characters/medic/hurt", "medic/medic/hurt" )
RemapSoundEvent( "dontstarve/characters/medic/death_voice", "medic/medic/death_voice" )
RemapSoundEvent( "dontstarve_DLC002/characters/medic/sinking_death", "medic/medic/sinking_death" )

--Bonesaw
GLOBAL.STRINGS.CHARACTERS.MEDIC.DESCRIBE.BONESAW = "All I can tell you about this next procedure is that it will be... excruciating!"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.BONESAW = "How scientific!"
GLOBAL.STRINGS.CHARACTERS.WILLOW.DESCRIBE.BONESAW = "It's points are dulled down..."
GLOBAL.STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.BONESAW = "Is sharp at weird angle."
GLOBAL.STRINGS.CHARACTERS.WENDY.DESCRIBE.BONESAW = "It's worn to the point it can no longer cut bone."
GLOBAL.STRINGS.CHARACTERS.WX78.DESCRIBE.BONESAW = "FLESHLINGS STAND NO CHANCE"
GLOBAL.STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.BONESAW = "Don't grab the pointy end of this medical tool."
GLOBAL.STRINGS.CHARACTERS.WOODIE.DESCRIBE.BONESAW = "It's too thin to be compared to a good axe."
GLOBAL.STRINGS.CHARACTERS.WAXWELL.DESCRIBE.BONESAW = "Who's to say a doctor can't have a little fun?"
AddPrefabPostInit("forest", function(inst)
        if GLOBAL.STRINGS.CHARACTERS.WATHGRITHR then
GLOBAL.STRINGS.CHARACTERS.WATHGRITHR.DESCRIBE.BONESAW = "It's some sort of deformed spear!"
end
        if GLOBAL.STRINGS.CHARACTERS.WEBBER then
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.BONESAW = "We could hit stuff with the pointy bits!"
end
        if GLOBAL.STRINGS.CHARACTERS.WALANI then
GLOBAL.STRINGS.CHARACTERS.WALANI.DESCRIBE.BONESAW = "This thing has a weird grip."
end
        if GLOBAL.STRINGS.CHARACTERS.WARLY then
GLOBAL.STRINGS.CHARACTERS.WARLY.DESCRIBE.BONESAW = "A bit too big to delicately chop any stock."
end
        if GLOBAL.STRINGS.CHARACTERS.WOODLEGS then
GLOBAL.STRINGS.CHARACTERS.WOODLEGS.DESCRIBE.BONESAW = "'Tis one way ta jabber a foe."
end
        if GLOBAL.STRINGS.CHARACTERS.SPY then
GLOBAL.STRINGS.CHARACTERS.SPY.DESCRIBE.BONESAW = "It would do a pathetic job at stabbing."
end
end)

GLOBAL.STRINGS.NAMES.BONESAW = "Bonesaw"
GLOBAL.STRINGS.RECIPE_DESC.BONESAW = "Good for sawing through bones."

-- Übersaw
GLOBAL.STRINGS.CHARACTERS.MEDIC.DESCRIBE.UBERSAW = "I'm going to saw through your bones!"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.UBERSAW = "I can now benefit from other's suffering!"
GLOBAL.STRINGS.CHARACTERS.WILLOW.DESCRIBE.UBERSAW = "This needle will give someone a nice burn!"
GLOBAL.STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.UBERSAW = "It make me feel strong when fight!"
GLOBAL.STRINGS.CHARACTERS.WENDY.DESCRIBE.UBERSAW = "Life brings pain, pain brings life."
GLOBAL.STRINGS.CHARACTERS.WX78.DESCRIBE.UBERSAW = "ATTACK AND GAIN BENEFITS FROM KILLING FLESHLINGS"
GLOBAL.STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.UBERSAW = "Jabbing the pointy end of this strange tool into another will grant me medical blessings."
GLOBAL.STRINGS.CHARACTERS.WOODIE.DESCRIBE.UBERSAW = "Healthiness in tool form."
GLOBAL.STRINGS.CHARACTERS.WAXWELL.DESCRIBE.UBERSAW = "Nothing but classic venom and ash to puncture with."
AddPrefabPostInit("forest", function(inst)
        if GLOBAL.STRINGS.CHARACTERS.WATHGRITHR then
GLOBAL.STRINGS.CHARACTERS.WATHGRITHR.DESCRIBE.UBERSAW = "I do not need healing to take on any foe!"
end
        if GLOBAL.STRINGS.CHARACTERS.WEBBER then
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.UBERSAW = "If we hit stuff with the point we get rewarded!"
end
        if GLOBAL.STRINGS.CHARACTERS.WALANI then
GLOBAL.STRINGS.CHARACTERS.WALANI.DESCRIBE.UBERSAW = "I'm not the biggest fan of big needles."
end
        if GLOBAL.STRINGS.CHARACTERS.WARLY then
GLOBAL.STRINGS.CHARACTERS.WARLY.DESCRIBE.UBERSAW = "Who shall I stick it to?"
end
        if GLOBAL.STRINGS.CHARACTERS.WOODLEGS then
GLOBAL.STRINGS.CHARACTERS.WOODLEGS.DESCRIBE.UBERSAW = "A dagger o' sorts."
end
        if GLOBAL.STRINGS.CHARACTERS.SPY then
GLOBAL.STRINGS.CHARACTERS.SPY.DESCRIBE.UBERSAW = "I respect it's point but it's not something I would prefer to use."
end
end)

GLOBAL.STRINGS.NAMES.UBERSAW = "Ubersaw"
GLOBAL.STRINGS.RECIPE_DESC.UBERSAW = "Gain health upon each hit."

-- Amputator
GLOBAL.STRINGS.CHARACTERS.MEDIC.DESCRIBE.AMPUTATOR = "Hoo, hoo! Perfect!"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.AMPUTATOR = "The stinging means it's working!"
GLOBAL.STRINGS.CHARACTERS.WILLOW.DESCRIBE.AMPUTATOR = "Music and medicine are boring."
GLOBAL.STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.AMPUTATOR = "I can make others feel strong!"
GLOBAL.STRINGS.CHARACTERS.WENDY.DESCRIBE.AMPUTATOR = "You will all only end up hurt again."
GLOBAL.STRINGS.CHARACTERS.WX78.DESCRIBE.AMPUTATOR = "THIS IS THE OPPOSITE OF WHAT I WANT TO DO"
GLOBAL.STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.AMPUTATOR = "If you play it like a chordophone it grants a remedial quality to all around!"
GLOBAL.STRINGS.CHARACTERS.WOODIE.DESCRIBE.AMPUTATOR = "I only play music for Lucy."
GLOBAL.STRINGS.CHARACTERS.WAXWELL.DESCRIBE.AMPUTATOR = "I'll play a song of healing madness."
AddPrefabPostInit("forest", function(inst)
        if GLOBAL.STRINGS.CHARACTERS.WATHGRITHR then
GLOBAL.STRINGS.CHARACTERS.WATHGRITHR.DESCRIBE.AMPUTATOR = "Nobody needs healing to take on a powerful foe!"
end
        if GLOBAL.STRINGS.CHARACTERS.WEBBER then
GLOBAL.STRINGS.CHARACTERS.WEBBER.DESCRIBE.AMPUTATOR = "It plays a soothing medicine tune."
end
        if GLOBAL.STRINGS.CHARACTERS.WALANI then
GLOBAL.STRINGS.CHARACTERS.WALANI.DESCRIBE.AMPUTATOR = "It helps others live a little."
end
        if GLOBAL.STRINGS.CHARACTERS.WARLY then
GLOBAL.STRINGS.CHARACTERS.WARLY.DESCRIBE.AMPUTATOR = "Must be soothing to hear this."
end
        if GLOBAL.STRINGS.CHARACTERS.WOODLEGS then
GLOBAL.STRINGS.CHARACTERS.WOODLEGS.DESCRIBE.AMPUTATOR = "Thet will soothe ye wounds."
end
        if GLOBAL.STRINGS.CHARACTERS.SPY then
GLOBAL.STRINGS.CHARACTERS.SPY.DESCRIBE.AMPUTATOR = "A perfect reward. But it isn't anything within my area of expertise."
end
end)

GLOBAL.STRINGS.NAMES.AMPUTATOR = "Amputator"
GLOBAL.STRINGS.RECIPE_DESC.AMPUTATOR = "Grant nearby friends health on use."

-- Vita-saw
GLOBAL.STRINGS.CHARACTERS.MEDIC.DESCRIBE.VITASAW = "Hold still, Schweinhund, this will only sting for a moment."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.VITASAW = "Note to self; don't point this near my eyes."
GLOBAL.STRINGS.CHARACTERS.WILLOW.DESCRIBE.VITASAW = "The stinging is my favorite part."
GLOBAL.STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.VITASAW = "Is very sharp looking."
GLOBAL.STRINGS.CHARACTERS.WENDY.DESCRIBE.VITASAW = "I wonder who used to own this."
GLOBAL.STRINGS.CHARACTERS.WX78.DESCRIBE.VITASAW = "MEDICAL ANOMALY DETECTED"
GLOBAL.STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.VITASAW = "It doesn't seem to have much of a purpose."
GLOBAL.STRINGS.CHARACTERS.WOODIE.DESCRIBE.VITASAW = "An axe could do it's job better."
GLOBAL.STRINGS.CHARACTERS.WAXWELL.DESCRIBE.VITASAW = "Nothing useful."
GLOBAL.STRINGS.NAMES.VITASAW = "Vita-Saw"
GLOBAL.STRINGS.RECIPE_DESC.VITASAW = "Stays with you on resurrection."

table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "medic")

AddMinimapAtlas("images/map_icons/medic.xml")
AddModCharacter("medic")
modimport ("scripts/amputator_play.lua")
