local assets =
{
	Asset("ANIM", "anim/amputator.zip"),
	Asset("ANIM", "anim/swap_amputator.zip"),

	Asset("ATLAS", "images/inventoryimages/amputator.xml"),
    Asset("IMAGE", "images/inventoryimages/amputator.tex"),
}

local function HearAmputator(inst, musician, instrument)
    if inst ~= musician and 
            (inst:HasTag("companion")) or (inst:HasTag("prey")) or (inst:HasTag("smallcreature")) or (inst:HasTag("pig")) or (inst:HasTag("medic")) then     
            inst.components.health:DoDelta(35)
			inst.SoundEmitter:PlaySound("dontstarve/wilson/use_gemstaff") 
        end
    end

local function onequip(inst, owner)
    owner.AnimState:OverrideSymbol("swap_object", "swap_amputator", "amputator")
    owner.AnimState:Show("ARM_carry")
    owner.AnimState:Hide("ARM_normal")
		inst:AddComponent("instrument")
	inst.components.instrument.range = TUNING.PANFLUTE_SLEEPRANGE
    inst.components.instrument:SetOnHeardFn(HearAmputator)
	
	inst:AddComponent("tool")
    inst.components.tool:SetAction(ACTIONS.PLAY)
end

local function onunequip(inst, owner)
    owner.AnimState:Hide("ARM_carry")
    owner.AnimState:Show("ARM_normal")
		inst:RemoveComponent("instrument")
		    inst:RemoveComponent("tool")
end

local function fn()
    local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()

    MakeInventoryPhysics(inst)
	
		-- Check if Shipwrecked is enabled
	if IsDLCEnabled(CAPY_DLC) then
		-- Make floatable
		MakeInventoryFloatable(inst, "idle_water", "idle")
	end
	
	inst:AddTag("horn")
	inst:AddTag("amputator")

    inst.AnimState:SetBank("amputator")
    inst.AnimState:SetBuild("amputator")
    inst.AnimState:PlayAnimation("idle")
	inst.entity:AddSoundEmitter()

	inst:AddTag("sharp")
	
	inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(TUNING.AXE_DAMAGE)
	
	inst:AddComponent("finiteuses")
    inst.components.finiteuses:SetMaxUses(TUNING.AXE_USES)
    inst.components.finiteuses:SetUses(TUNING.AXE_USES)
    inst.components.finiteuses:SetOnFinished(inst.Remove)
	inst.components.finiteuses:SetConsumption(ACTIONS.PLAY, 3)

    inst:AddComponent("inspectable")

    inst:AddComponent("equippable")
	inst.components.equippable:SetOnEquip(onequip)
    inst.components.equippable:SetOnUnequip(onunequip)

    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.imagename = "amputator"
	inst.components.inventoryitem.atlasname = "images/inventoryimages/amputator.xml"
	
    return inst
end

return Prefab("common/inventory/amputator", fn, assets)