local assets =
{
	Asset("ANIM", "anim/bonesaw.zip"),
	Asset("ANIM", "anim/swap_bonesaw.zip"),

	Asset("ATLAS", "images/inventoryimages/bonesaw.xml"),
    Asset("IMAGE", "images/inventoryimages/bonesaw.tex"),
}

local function onequip(inst, owner)
    owner.AnimState:OverrideSymbol("swap_object", "swap_bonesaw", "bonesaw")
    owner.AnimState:Show("ARM_carry")
    owner.AnimState:Hide("ARM_normal")
end

local function onunequip(inst, owner)
    owner.AnimState:Hide("ARM_carry")
    owner.AnimState:Show("ARM_normal")
end

local function fn()
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()

    MakeInventoryPhysics(inst)

		-- Check if Shipwrecked is enabled
	if IsDLCEnabled(CAPY_DLC) then
		MakeInventoryFloatable(inst, "idle_water", "idle")
	end
	
    inst.AnimState:SetBank("bonesaw")
    inst.AnimState:SetBuild("bonesaw")
    inst.AnimState:PlayAnimation("idle")

	inst:AddTag("sharp")
	
	--inst:ListenForEvent("killed", bonesawbones)

	inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(TUNING.MULTITOOL_DAMAGE)
	
	inst:AddComponent("finiteuses")
    inst.components.finiteuses:SetMaxUses(TUNING.AXE_USES)
    inst.components.finiteuses:SetUses(TUNING.AXE_USES)

    inst.components.finiteuses:SetOnFinished(inst.Remove)

    inst:AddComponent("inspectable")
    inst:AddComponent("equippable")
	inst.components.equippable:SetOnEquip(onequip)
    inst.components.equippable:SetOnUnequip(onunequip)

    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.imagename = "bonesaw"
	inst.components.inventoryitem.atlasname = "images/inventoryimages/bonesaw.xml"

    --inst:AddComponent("characterspecific")
    --inst.components.characterspecific:SetOwner("medic")
    return inst
end

return Prefab("common/inventory/bonesaw", fn, assets)