local MakePlayerCharacter = require "prefabs/player_common"

local assets = 
{
        Asset("SCRIPT", "scripts/prefabs/player_common.lua"),
		Asset( "ANIM", "anim/medic.zip" ),
}

local prefabs = {"bonesaw"}
local start_inv = { "bonesaw"}

local function EditCombat(inst)
	local self = inst.components.combat
	local _GetAttacked = self.GetAttacked
	self.GetAttacked = function(self, attacker, damage, weapon, stimuli)
		if attacker and damage then
			-- Take extra damage
			damage = damage * 1.2
		end
		return _GetAttacked(self, attacker, damage, weapon, stimuli)
	end
end

local fn = function(inst)
	
	inst.soundsname = "medic"
	
	inst:AddTag("medic")

	inst.MiniMapEntity:SetIcon( "medic.tex" )
	
	-- Stats	
	inst.components.health:SetMaxHealth(150)
	inst.components.hunger:SetMax(150)
	inst.components.sanity:SetMax(145)
	inst.components.sanity.neg_aura_mult = 0.55
	inst.components.health:StartRegen(1,TUNING.MEDICHP_REGEN)
	--inst.components.builder.science_bonus = 1
	
	EditCombat(inst)
	
	--Saw recipes
	local bonesaw_recipe = Recipe("bonesaw", { Ingredient("boneshard", 3), Ingredient("flint", 2) }, RECIPETABS.WAR, TECH.NONE)
		bonesaw_recipe.sortkey = -3
	local ubersaw_recipe = Recipe("ubersaw", { Ingredient("healingsalve", 5), Ingredient("twigs", 5), Ingredient("flint", 1) }, RECIPETABS.WAR, TECH.SCIENCE_TWO)
		ubersaw_recipe.sortkey = -2
	local amputator_recipe = Recipe("amputator", { Ingredient("goldnugget", 1), Ingredient("flint", 5), Ingredient("healingsalve", 1) }, RECIPETABS.MAGIC, TECH.MAGIC_TWO)
		amputator_recipe.sortkey = -1
    local vitasaw_recipe = Recipe("vitasaw", { Ingredient("log", 1), Ingredient("stinger", 1), Ingredient("twigs", 5) }, RECIPETABS.WAR, TECH.SCIENCE_ONE)
		vitasaw_recipe.sortkey = -1

	bonesaw_recipe.atlas = resolvefilepath("images/inventoryimages/bonesaw.xml")
	ubersaw_recipe.atlas = resolvefilepath("images/inventoryimages/ubersaw.xml")
	amputator_recipe.atlas = resolvefilepath("images/inventoryimages/amputator.xml")
	vitasaw_recipe.atlas = resolvefilepath("images/inventoryimages/vitasaw.xml")
	
end

return MakePlayerCharacter("medic", prefabs, assets, fn, start_inv)