local assets =
{
	Asset("ANIM", "anim/vitasaw.zip"),
	Asset("ANIM", "anim/swap_vitasaw.zip"),

	Asset("ATLAS", "images/inventoryimages/vitasaw.xml"),
    Asset("IMAGE", "images/inventoryimages/vitasaw.tex"),
}

local function onequip(inst, owner)
    owner.AnimState:OverrideSymbol("swap_object", "swap_vitasaw", "vitasaw")
    owner.AnimState:Show("ARM_carry")
    owner.AnimState:Hide("ARM_normal")
	if owner and owner:HasTag("medic") then
		owner.components.health.maxhealth = 150+10
        owner.components.health:DoDelta(0)
	end
end

local function onunequip(inst, owner)
    owner.AnimState:Hide("ARM_carry")
    owner.AnimState:Show("ARM_normal")
	if owner and owner:HasTag("medic") then
	owner.components.health.maxhealth = 150
    owner.components.health:DoDelta(0)
	end
end

local function fn()
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()

    MakeInventoryPhysics(inst)
	
		-- Check if Shipwrecked is enabled
	if IsDLCEnabled(CAPY_DLC) then
		MakeInventoryFloatable(inst, "idle_water", "idle")
	end
	
    inst.AnimState:SetBank("vitasaw")
    inst.AnimState:SetBuild("vitasaw")
    inst.AnimState:PlayAnimation("idle")
	
	inst:AddTag("sharp")

	inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(TUNING.FISHINGROD_DAMAGE* 7)
	
	inst:AddComponent("finiteuses")
    inst.components.finiteuses:SetMaxUses(TUNING.SPEAR_USES)
    inst.components.finiteuses:SetUses(TUNING.SPEAR_USES)

    inst:AddComponent("inspectable")
    inst:AddComponent("equippable")
	inst.components.equippable:SetOnEquip(onequip)
    inst.components.equippable:SetOnUnequip(onunequip)

    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.keepondeath = true
	inst.components.inventoryitem.imagename = "vitasaw"
	inst.components.inventoryitem.atlasname = "images/inventoryimages/vitasaw.xml"

    return inst
end

return Prefab("common/inventory/vitasaw", fn, assets)